Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 410651 - 500 Error, not a valid package atom
Summary: 500 Error, not a valid package atom
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: [OLD] gpackages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Packages Website
URL: http://packages.gentoo.org/package/gn...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 11:43 UTC by Slava Bacherikov
Modified: 2015-06-11 01:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Solves the problem with 500 error (exception.patch,1.77 KB, patch)
2012-04-03 11:48 UTC, Slava Bacherikov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Slava Bacherikov 2012-04-03 11:43:03 UTC
Error when get a bad atom.

Part of traceback:
  File "web/controller.py", line 368, in package
    return self._package(*args, **kwds)
  File "web/controller.py", line 383, in _package
    cpvtmp = get_atom(cpvstr)
  File "web/model.py", line 44, in get_atom
    raise Exception('Not a valid package atom at all: %s' % (cpvstr))
Exception: Not a valid package atom at all: media-gfx/blender'


Reproducible: Always

Steps to Reproduce:
1. Go to URL of any package
2. Add to it URL symbol '
Actual Results:  
500 Internal Server Error

Expected Results:  
Must be 404 error, or redirect.
Comment 1 Slava Bacherikov 2012-04-03 11:48:21 UTC
Created attachment 307607 [details, diff]
Solves the problem with 500 error
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2012-12-30 17:46:20 UTC
I committed a fix for this, simply waiting for it to make it to production before resolving.

-A
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-06-11 01:20:34 UTC
This was live a long time ago